
//
// Hexen 2 game definition file (.fgd) PART 2 of 3
// version 0.91
//
// written by autolycus / autolycus@planetquake.com
// email me with improvements and suggestions
//

@Main = 
[
	Name: "Hexen 2"
	Palette: "hexen2.pal"
	DefaultClass: "func_door"
]

//
// worldspawn
//

@SolidClass = worldspawn : "World entity"
[
	message(string) : "Level name"
	worldtype(choices) : "Ambience" : 0 =
	[
		0 : "castle"
		1 : "egypt"
		2 : "meso"
		3 : "roman"
	]
	sounds(integer) : "CD track to play" : 1
]

//
// base marker definitions
//

@baseclass = Appearflags [
	spawnflags(Flags) =
	[
		256 : "Not in Easy" : 0
		512 : "Not in Normal" : 0
		1024 : "Not in Hard" : 0
		2048 : "Not in Deathmatch" : 0
	]
]

@baseclass = Targetname [ targetname(target_source) : "Name" ]
@baseclass = Target [ target(target_destination) : "Target" ]

//
// player starts, deathmatch, coop, teleport
//

@baseclass base(Appearflags) size(-16 -16 -32, 16 16 32) 
	color(0 255 0) = PlayerClass []

@PointClass base(PlayerClass, Targetname) = info_player_start : "Player 1 start" []
@PointClass base(PlayerClass, Targetname) = info_player_start2 : "Player 1 start" []
@PointClass base(PlayerClass) = info_player_deathmatch : "Player deathmatch start" []
@PointClass base(PlayerClass) = info_player_coop : "Player cooperative start" []
@PointClass base(PlayerClass, Targetname) = info_teleport_destination : "Teleport destination" []

@BaseClass base(Appearflags, Target, Targetname) size(-16 -16 0, 16 16 50) = Monster
[
	spawnflags(Flags) =
	[
		1 : "ambush" : 0
		2 : "stuck" : 0
		4 : "jump" : 0
		8 : "play dead" : 0
		16 : "dormant" : 0
		32 : "no drop" : 0
		64 : "frozen" : 0
	]
]

@PointClass base(Monster) = monster_archer : "Archer" []
@PointClass base(Monster) = monster_archer_lord : "Archer lord" []
@PointClass base(Appearflags, Targetname, Target) size(-100 -100 0, 100 100 666) = monster_eidolon : "Eidolon" []
@PointClass base(Monster) size(-14 -14 -41, 14 14 23) = monster_fallen_angel : "Fallen angel" []
@PointClass base(Monster_fallen_angel) = monster_fallen_angel_lord : "Fallen angel lord" []

@PointClass base(Appearflags, Targetname, Target) size(-16 -16 -8, 16 16 8) = monster_fish : "Fish" 
[
	skin(choices) : "Skin" : 0 =
	[
		0 : "Bright colored"
		1 : "Darker colored"
	]
]
@PointClass base(Appearflags, Targetname, Target) size(-64 -64 0, 64 64 194) = monster_golem_bronze : "Bronze golem" 
[
	spawnflags(Flags) =
	[
		1 : "ambush" : 0
	]
]
@PointClass base(monster_golem_bronze) size(-32 -32 -24, 32 32 64) = monster_golem_crystal : "Crystal golem" []
@PointClass base(monster_golem_bronze) size(-55 -55 0, 55 55 120) = monster_golem_iron : "Iron golem" []
@PointClass base(monster_golem_bronze) size(-32 -32 0, 32 32 88) = monster_golem_stone : "Stone golem" []
@PointClass base(Appearflags, Targetname, Target) size(-40 -40 -42, 40 40 42) = monster_hydra : "Hydra"
[
	spawnflags(Flags) =
	[
		1 : "stand" : 0
		2 : "hover" : 0
		4 : "jump" : 0
		8 : "play dead" : 0
		16 : "dormant" : 0
	]
]
@PointClass base(Appearflags, Targetname, Target) = monster_imp_fire : "Fire imp" 
[
	spawnflags(Flags) =
	[
		1 : "stand" : 0
		2 : "hover" : 0
		16 : "gargoyle" : 0
	]
]
@PointClass base(monster_imp_fire) = monster_imp_ice : "Ice imp" []
@PointClass base(monster_imp_fire) = monster_imp_lord : "Lord imp" []
@PointClass base(Monster) = monster_medusa_green : "Green medusa"
[
	spawnflags(Flags) =
	[
		32 : "" : 0
		64 : "" : 0
	]
]
@PointClass base(monster_medusa_green) = monster_medusa_red : "Red medusa" []
@PointClass base(Appearflags, Targetname, Target) size(-16 -16 0, 16 16 55) = monster_mummy : "Mummy"
[
	spawnflags(Flags) =
	[
		1 : "Ambush" : 0
	]
]
@PointClass base(Monster) = monster_mummy_lord : "Mummy lord" 
[
	spawnflags(Flags) =
	[
		32 : "" : 0
		64 : "" : 0
	]
]
@PointClass base(monster_mummy) size(-32 -32 -24, 32 32 64) = monster_ogre : "Ogre" []
@PointClass base(Appearflags, Targetname, Target) size(-3 -3 0, 3 3 7) = monster_rat : "Rat"
[
	spawnflags(Flags) =
	[
		1 : "Ambush" : 0
	]
]
@PointClass base(monster_rat) size(-20 -20 0, 20 20 10) = monster_ratnest : "Rat's nest" []
@PointClass base(Monster) = monster_raven : "Raven" []
@PointClass base(Appearflags, Targetname, Target) size(-10 -10 0, 10 10 64) = monster_scorpion_yellow : "Yellow scorpion" 
[
	spawnflags(Flags) =
	[
		1 : "Ambush" : 0
	]
]
@PointClass base(monster_scorpion_yellow) = monster_scorpion_black : "Black scorpion" []
@PointClass base(Appearflags, Targetname, Targt) size(-24 -24 0, 24 24 64) = monster_skull_wizard : "Skull wizard"
[
	spawnflags(Flags) =
	[
		1 : "Ambush" : 0
	]
]
@PointClass base(monster_skull_wizard) = monster_skull_wizard_lord : "Skull wizard lord" []
@PointClass base(Appearflags, Targetname, Target) size(-80 -80 0, 80 80 200) = monster_snake : "Snake"
[
	spawnflags(Flags) =
	[
		1 : "Ambush" : 0
	]
]
@BaseClass base(Appearflags, Targetname, Target) = Spider
[
	spawnflags(Flags) =
	[
		1 : "ambush" : 0
		2 : "stuck" : 0
		4 : "jump" : 0
		8 : "play dead" : 0
		16 : "dormant" : 0
		32 : "on wall" : 0
	]
]
@PointClass base(Spider) size(-16 -16 0, 16 16 26) = monster_spider_red_large : "Big red bug" []
@PointClass base(Spider) size(-12 -12 0, 12 12 16) = monster_spider_red_small : "Small red bug" []
@PointClass base(Spider) size(-16 -16 0, 16 16 26) = monster_spider_yellow_large : "Big yellow bug" []
@PointClass base(Spider) size(-12 -12 0, 12 12 16) = monster_spider_yellow_small : "Small yellow bug" []
@PointClass base(Monster, Targetname, Target) = monster_werejaguar : "Werejaguar"
[
	spawnflags(Flags) =
	[
		32 : "" : 0
		64 : "" : 0
	]
]
@PointClass base(monster_werejaguar) = monster_werepanther : "Werepanther" []

//
// objects!!!
//

@PointClass base(Appearflags, Targetname) size(-45 -45 0, 45 45 60) = obj_ballista : "Ballista"
[
	spawnflags(Flags) =
	[
		1 : "track" : 0
	]
	health(choices) : "Health" : 0 =
	[
		0 : "Indestructible"
	]
	cnt(integer) : "degrees of pitch off start" : 30
	count(integer) : "degrees per movement" : 5
	dmg(integer) : "Damage of projectile" : 50
	speed(integer) : "Delay between firings" : 5
]
@PointClass base(Appearflags) size(-13 -13 0, 13 13 36) = obj_barrel_indestructible : "Barrel"
[
	spawnflags(Flags) =
	[
		1 : "downhill" : 0
		2 : "no drop" : 0
		4 : "on side" : 0
		8 : "floats" : 0
	]
]
@PointClass base(obj_barrel_indestructible) = obj_barrel : "Barrel" [ health(integer) : "Health" : 25 ]
@PointClass base(obj_barrel) = obj_barrel_exploding : "Barrel"
[
	spawnflags(Flags) =
	[
		8 : "sink" : 0
	]
]
@PointClass base(Appearflags) size(-10 -10 -5, 10 10 32) = obj_barstool : "Bar stool" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 40) = obj_beefslab : "Slab o' beef" []
@PointClass base(Appearflags) size(-100 -100 -210, 100 100 8) = obj_bell : "Bell" []
@PointClass base(Appearflags) size(-30 -30 0, 30 30 40) = obj_bench : "Bench" []
@PointClass base(Appearflags) size(-10 -10 0, 10 10 10) = obj_bonepile : "Pile o' bones" []
@PointClass base(Appearflags) size(-8 -8 0, 8 8 10) = obj_book_closed : "Closed book" []
@PointClass base(obj_book_closed) = obj_book_open : "Open book" []
@PointClass base(Appearflags) size(-32 -32 -32, 32 32 32) = obj_boulder : "Boulder" []
@SolidClass base(Appearflags) = obj_bridge : "Bridge" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 40) = obj_bush1 : "Bush" []
@PointClass base(Appearflags) size(-36 -32 -10, 36 75 64) = obj_cart : "Cart" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 40) = obj_cauldron : "Cauldron" []
@PointClass base(Appearflags) size(-10 -10 -5, 10 10 40) = obj_chair : "Chair" []
@PointClass base(Appearflags) size(-100 -100 0, 100 100 200) = obj_chaos_orb : "Chaos orb" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 32) = obj_chest3 : "Chest #3" []
@PointClass base(obj_chest3) = obj_chest1 : "Chest #1"
[
	skin(choices) : "Skin" : 0 =
	[
		0 : "generic texture"
		1 : "roman texture"
	]
]
@PointClass base(obj_chest3) = obj_chest2 : "Chest #2"
[
	skin(choices) : "Skin" : 0 =
	[
		0 : "generic texture"
		1 : "meso texture"
		2 : "egypt texture"
	]
]

@PointClass base(Appearflags) size(-32 -32 0, 32 32 10) = obj_corpse1 : "Corpse #1"
[
	skin(choices) : "Skin" : 1 =
	[
		0 : "burnt, nude guy"
		1 : "normal, nude guy"
		2 : "yucky diseased, nude guy"
		3 : "wound in back, has on pants"
	]
]
@PointClass base(obj_corpse1) = obj_corpse2 : "Corpse #2" 
[
	skin(choices) : "Skin" : 1 =
	[
		0 : "shoulder and facial wounds"
		1 : "clawed chest"
		2 : "stomach wound"
		3 : "just dead"
		4 : "webbed"
	]
]
@PointClass base(Appearflags) size(-26 -26 0, 26 26 70) = obj_fence : "Fence" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 160) = obj_flag : "Flag" []
@PointClass base(Appearflags) size(-24 -24 0, 24 24 80) = obj_fountain : "Fountain" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 80) = obj_hedge1 : "X-Mas tree" []
@PointClass base(obj_hedge1) = obj_hedge2 : "Square, medium hedge" []
@PointClass base(obj_hedge2) = obj_hedge3 : "Tall, thin hedge" []
@SolidClass base(Appearflags) = obj_ice : "Ice"
[
	spawnflags(Flags) =
	[
		1 : "no transparency" : 0
	]
	health(integer) : "Health" : 20
	friction(string) : "Friction (0 - 10)" : "0.2"
	abslight(string) : "Absolute light value" : "0.5"
]
@PointClass base(Appearflags) size(-16 -40 0, 16 40 50) = obj_pew : "Pew" []
@PointClass base(Appearflags) size(-10 -10 0, 10 10 20) = obj_plant_generic : "Generic plant" []
@PointClass base(Appearflags) size(-10 -10 0, 10 10 40) = obj_plant_meso : "Meso plant" []
@PointClass base(Appearflags) size(-24 -24 0, 24 24 90) = obj_plant_rome : "Roman plant" []
@PointClass base(Appearflags) size(-8 -8 0, 8 8 16) = obj_playerhead_assassin : "Assassin head" []
@PointClass base(obj_playerhead_assassin) = obj_playerhead_crusader : "Crusader head" []
@PointClass base(obj_playerhead_assassin) = obj_playerhead_necromancer : "Necro head" []
@PointClass base(obj_playerhead_assassin) = obj_playerhead_paladin : "Paladin head" []
@PointClass base(Appearflags) size(-24 -24 0, 24 24 50) = obj_pot1 : "Pot #1" []
@PointClass base(obj_pot1) size(-16 -16 0, 16 16 40) = obj_pot2 : "Pot #2" []
@PointClass base(obj_pot2) = obj_pot3 : "Pot #3" []
@PointClass base(Appearflags) size(-8 -8 0, 8 8 32) = obj_seaweed : "Sea weed" []
@PointClass base(Appearflags) size(-8 -8 0, 8 8 16) = obj_skull : "Skull" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 40) = obj_skull_stick2 : "2 skulls, stick" []
@PointClass base(obj_skull_stick2) = obj_skullstick : "1 skull, stick" []
@SolidClass base(Appearflags) = obj_stairs : "Stairs" []
@PointClass base(Appearflags) size(-60 -60 0, 60 60 120) = obj_statue_angel : "Angel" []
@PointClass base(Appearflags) size(-30 -30 0, 30 30 90) = obj_statue_athena : "Athena" []
@PointClass base(Appearflags) size(-24 -24 0, 24 24 90) = obj_statue_caesar : "Caesar" []
@PointClass base(Appearflags) size(-30 -30 0, 30 30 120) = obj_statue_king : "King" []
@PointClass base(Appearflags) size(-56 -14 0, 56 14 60) = obj_statue_lion : "Lion" []
@PointClass base(Appearflags) size(-30 -30 0, 30 30 80) = obj_statue_mars : "Mars" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 160) = obj_statue_mummy : "Mummy" []
@PointClass base(Appearflags) size(-16 -16 -26, 16 16 160) = obj_statue_mummy_head : "Mummy head"[]
@PointClass base(Appearflags) size(-30 -30 0, 30 30 100) = obj_statue_neptune : "Neptune" []
@PointClass base(Appearflags) size(-40 -40 0, 40 40 130) = obj_statue_olmec : "Olmec???" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 80) = obj_statue_snake : "Snake" []
@PointClass base(Appearflags) size(-44 -44 0, 44 44 90) = obj_statue_snake_coil : "Coiling snake" []
@PointClass base(Appearflags) size(-36 -36 0, 36 36 248) = obj_statue_tut : "Tut" []
@PointClass base(Appearflags) size(-16 -16 -8, 16 16 8) = obj_sword : "Sword" []
@PointClass base(Appearflags) size(-24 -24 0, 24 24 60) = obj_tombstone1 : "Cross tombstone" []
@PointClass base(Appearflags) size(-16 -16 0, 16 16 40) = obj_tombstone2 : "Rounded tombstone" []
@PointClass base(Appearflags) size(-42 -42 0, 42 42 160) = obj_tree : "Leaveless tree" []
@PointClass base(Appearflags) size(-140 -140 -16, 140 140 220) = obj_tree2 : "Normal tree" []
@PointClass base(Appearflags) size(-25 -25 -25, 25 25 25) = obj_web : "Spider web"
[
	spawnflags(Flags) =
	[
		1 : "solid" : 0
		2 : "animate" : 0
		4 : "weak" : 0
		8 : "touch & move" : 0
		16 : "flat" : 0
		32 : "no transparency" : 0
	]
	abslight(integer) : "Absolute light value"
	health(integer) : "Health" : 0
	skin(choices) : "Skin" : 0 =
	[
		0 : "Many little webs"
		1 : "corner web"
		2 : "cobwebs"
		3 : "giant web"
		4 : "big ass web (15x)"
	]
	scale(integer) : "Scale (0 - 2.5)" : 1
	v_angle(string) : "Angle of web (x y z)" : "0 0 0"
]
